<script setup lang="js">
import { active_filter } from "~/directives/filter.js";

const filters = computed(() => {
    const filters = [];
    if (active_filter.date_filter.isSet()) {
        filters.push({ label: active_filter.date_filter.display(), uid: active_filter.date_filter.uid, removeFilterFn: () => active_filter.date_filter.reset() });
    }
    if (active_filter.price_filter.isSet()) {
        filters.push({ label: active_filter.price_filter.display(), uid: active_filter.price_filter.uid, removeFilterFn: () => active_filter.price_filter.reset() });
    }
    filters.push(...active_filter.category_filter.list.map(f => ({ label: f.name, uid: f.uid, removeFilterFn: () => active_filter.category_filter.remove(f.uid) })));
    filters.push(...active_filter.organizer_filter.list.map(f => ({ label: f.name, uid: f.uid, removeFilterFn: () => active_filter.organizer_filter.remove(f.uid) })));
    filters.push(...active_filter.location_filter.list.map(f => ({ label: f.name, uid: f.uid, removeFilterFn: () => active_filter.location_filter.remove(f.uid) })));
    return filters;
});

</script>

<template>
    <div class="flex flex-row w-full flex-wrap gap-2">
        <ClientOnly>
            <ButtonRemovable v-for="filter in filters" :key="filter.uid" :is_main="false" :name="filter.label"
                @remove="filter.removeFilterFn" :uid="filter.uid" />
        </ClientOnly>
    </div>
</template>
